[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellTreeView.GetBasePath

Returns the initial path in the file system hierarchy for the tree structure in the control.

## Declaration

Source position: shellctrls.pas line 125

`public class function TCustomShellTreeView.GetBasePath: string;`

## Description

GetBasePath is a String class function used to get the notation for the initial path in the file system hierarchy. The return value contains the following values for the supported platforms:

Windows platforms (other than Windows CE)
  '' (empty string)
Windows CE
  '\'
UNIX-like operating systems
  '/'
Amiga
  '' (empty string)

## See also

TCustomShellTreeView.Root |  | Indicates the directory or path which is the top-level node in the tree view.
TCustomShellTreeView.GetRootPath |  | Returns the effective value for Root when an explicit value has not been assigned.